cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1442
Views
5
Helpful
8
Replies

upgrade to sp-30.0.4-0-0-lnx64 sutck at Apply-in-progress

ccrfranck
Level 1
Level 1

Hello,

 

I'm trying to upgrade the collector, all steps working fine except that it is sticking in the applying phase.

I've tried 2 times, same behaviour each time.

 

Any idea?

Thanking you in advance.

 

Renaud

 

 

admin# sh version -d
        Build-name   : Collection Platform Software 2.7.3.2

        Package-type : ServicePack
        Version      : sp-30.0.3-2-0-lnx64
             Component : CSPC Base
             Version   : 2.7.3.2
        Package-type : JeOS
        Version      : jeos-30.0.4-0-lnx64
             Component : AdminShell
             Version   : 1.7
             Component : LCM
             Version   : 1.7
             Component : CASP
             Version   : 2.7.4
             Component : ConcsoTgw
             Version   : 1.7.2
             Component : Hardened CentOS
             Version   : 6.8 patch#0

 


        Version Number     : sp-30.0.4-0-0-lnx64
        Status             : Apply-in-progress
        Start Time         : May/29/2018 11:01:17
        End Time           : -

 

 

        Version             : sp-30.0.4-0-0-lnx64
        Download Location   : /opt/LCM/tmp/sp-30.0.4-0-0-lnx64-package.zip
        Status              : Downloaded
        Start Time          : Nov/19/50201 23:17:01
        End Time            : Mar/27/2018 13:39:54
        Reason For Failure  : -

1 Accepted Solution

Accepted Solutions

Thanks for confirming. I'll look into what options are available to clean up those older statuses from the LCM feature and follow up once I've confirmed what can be done.

Otherwise, if the patch application itself was successful then no further action is required from your side at this time.

View solution in original post

8 Replies 8

Jarrett Pomeroy
Cisco Employee
Cisco Employee
Hello,



We have recently released a document which covers how you can manually apply our upgrade patches for CSPC. Can you please see if this helps to get your CPSC up and running on our latest version?



The document is available here -> https://www.cisco.com/c/dam/en/us/support/docs/cloud-systems-management/common-services-platform-collector-cspc/CSPC-Manual-Upgrade-Guide.pdf



Thank you,

Jarrett


Hello Jarrett,

 

Can I apply these procedures event if my collector is in an "apply-in-progress" status?

 

Just for information here output from a tail -f:

 

[root@nrb0198av ~]# tail -f /opt/LCM/logs/apply
[Tue May 29 11:19:49 CEST 2018] --Component--Hardened CentOS--Hardened CentOS |Component |JeOS |6.8 patch#0 |Hardened CentOS |1523286344--jeos-30.0.4-0-lnx64--
[Tue May 29 11:19:49 CEST 2018] else block of status update
[Tue May 29 11:19:49 CEST 2018] update version--6.8 patch#0--
[Tue May 29 11:19:50 CEST 2018] --JeOS--JeOS--JeOS |JeOS | |jeos-30.0.4-0-lnx64 |Appliance Base Package patch update |1523286345--jeos-30.0.4-0-lnx64--
[Tue May 29 11:19:50 CEST 2018] else block of status update
[Tue May 29 11:19:50 CEST 2018] update version--jeos-30.0.4-0-lnx64--
[Tue May 29 11:19:51 CEST 2018] status db updation completed
status before trim : Applied
status after trim : Applied

 

Regards.

 

Renaud


inside

Hello Renaud,

If the contents of the apply log file have not updated since May 29, then I would consider the process as hung and from there it would be worth attempting to manually apply the SP (the JEOS component was successful).

The steps provided within the aforementioned document should be sufficient.

It seems that the manually update's worked except that I still have this result after a "show apply and show version -d"  commands:

 

        Version Number     : sp-30.0.4-0-0-lnx64
        Status             : Apply-in-progress
        Start Time         : May/29/2018 11:01:17
        End Time           : -

admin# sh version -d
        Build-name   : Collection Platform Software 2.7.4

        Package-type : ServicePack
        Version      : sp-30.0.4-0-0-lnx64
             Component : CSPC Base
             Version   : 2.7.4
        Package-type : JeOS
        Version      : jeos-30.0.4-0-lnx64
             Component : AdminShell
             Version   : 1.7
             Component : LCM
             Version   : 1.7
             Component : CASP
             Version   : 2.7.4
             Component : ConcsoTgw
             Version   : 1.7.2
             Component : Hardened CentOS
             Version   : 6.8 patch#0

 

By the way, I'd like to update to the last patch (sp-30.0.4-1-0-lnx64). Do I try again manually with this patch or must I have to solve this issue before?

 

Thanks.

 

Renaud

 

 

Hello Renaud,

More than likely you will encounter an error when attempting to execute the next patch installation via the LCM feature within the admin shell. If that is the case, then I would complete the download of the latest SP package (sp-30.0.4-1-0-lnx64). Once acquired, you can confirm the contents via the following commands:

[root@localhost tmp]# unzip -l sp-30.0.4-1-0-lnx64-package.zip
Archive: sp-30.0.4-1-0-lnx64-package.zip
Length Date Time Name
--------- ---------- ----- ----
355900684 05-15-2018 16:04 sp-30.0.4-0-0-lnx64.zip
767246715 05-15-2018 15:59 jeos-30.0.4-1-lnx64.zip
99312136 05-15-2018 16:05 sp-30.0.4-1-0-lnx64.zip

Note: This packages was obtained via the LCM feature, executed via CLI user 'admin' and '#download sp-30.0.4-1-0-lnx64'. This file is located at: /opt/LCM/tmp/

So long as you have both the jeos-30.0.4-1-lnx64.zip and sp-30.0.4-1-0-lnx64.zip files, you can use the same methodology to apply them in the same order (JEOS, then SP). Once 2.7.4.1 is installed, the issue affecting LCM patch installations should be resolved and you can expect to utilize the admin CLI account moving forward for future patch downloads and installations.

So, here is the result:

 

Updates worked fine but I'm still having an issue with the "aaply" status, see below:

(massive thanks for your help)

Renaud

 

admin# sh apply
        Version Number     : sp-30.0.1-0-0-lnx64
        Status             : Apply-failed
        Start Time         : -
        End Time           : -
        Reason             :

        Version Number     : sp-30.0.2-0-0-lnx64
        Status             : Apply-failed
        Start Time         : Oct/25/2017 17:49:06
        End Time           : Oct/25/2017 18:24:46
        Reason             :

        Version Number     : sp-30.0.3-0-0-lnx64
        Status             : Apply-failed
        Start Time         : Jan/30/2018 17:39:59
        End Time           : Jan/30/2018 18:18:05
        Reason             :

        Version Number     : sp-30.0.3-2-0-lnx64
        Status             : Applied
        Start Time         : Mar/23/2018 15:54:16
        End Time           : -

        Version Number     : sp-30.0.4-0-0-lnx64
        Status             : Apply-in-progress
        Start Time         : May/29/2018 11:01:17
        End Time           : -

admin# sh version -d
        Build-name   : Collection Platform Software 2.7.4.1

        Package-type : ServicePack
        Version      : sp-30.0.4-1-0-lnx64
             Component : CSPC Base
             Version   : 2.7.4.1
        Package-type : JeOS
        Version      : jeos-30.0.4-1-lnx64
             Component : AdminShell
             Version   : 1.7
             Component : LCM
             Version   : 1.7.1
             Component : CASP
             Version   : 2.7.4.1
             Component : ConcsoTgw
             Version   : 1.7.2
             Component : Hardened CentOS
             Version   : 6.8 patch#0
admin#

Thanks for confirming. I'll look into what options are available to clean up those older statuses from the LCM feature and follow up once I've confirmed what can be done.

Otherwise, if the patch application itself was successful then no further action is required from your side at this time.

Thanks a lot, I'll wait your feedback.
Best Regards.
Renaud